Talk:MediaWiki 1.27

Jump to navigation Jump to search

About this board

Previous discussion was archived at Talk:MediaWiki 1.27/Archive 1 on 2015-09-28.

178.27.132.213 (talkcontribs)

After installation of MW 1.27.1 I am experiencing a non functional search (System is Debian Jessie 8.6). There is an error message in the apache PHP log: [Thu Nov 17 10:22:46.548397 2016] [:error] [pid 21777] [client 192.168.xx.xx:59293] PHP Fatal error: OOUI\\InputWidget cannot use OOUI\\FlaggedElement - it is not a trait in /usr/local/share/mwiki/vendor/oojs/oojs-ui/php/widgets/InputWidget.php on line 11, referer: ...

All other stuff is working fine. How can I fix this?

178.27.132.213 (talkcontribs)
Reply to "PHP Fatal error:"
46.165.101.153 (talkcontribs)

Hi,

Doing [Catégorie:Nom_de_la_catégorie] does not create a category, it always show "does not contains pages" (Cette catégorie ne contient actuellement aucune page ni fichier multimédia.) . I found the bug on my online wiki, test it on a new fresh wiki 1.27 on localhost same thing.

What to do to fix it plz ?

46.165.101.153 (talkcontribs)

Sorry i correctly doing [[Catégorie:Tes]]. It is working on the 1.26.

46.165.101.153 (talkcontribs)

I cannot explained why but by emptying the table "job" of my wiki the category are created again :o

87.123.54.185 (talkcontribs)
Reply to "Category Creation not working"

custom user create form dont work in 1.27 version

2
Amrokhudair (talkcontribs)

Hi every one.

Yesterday ,I was upgrade my system from 1.24 to 1.27 ,but the (customUserCreateForm) extension dont work any more.

Extension:CustomUserCreateForm

The new version does not read my custom template , as it is not exist .

Does there is a new way to build a custom create and login form in a new version?

Please help.

Thank you.

Kghbln (talkcontribs)

I am afraid that this extension is unmaintained. If there is an issue you could try to contact the author directly. I also suggest to use the extensions talk page to post issues. Probably the new authentication system killed this extension as it did many others too.

Reply to "custom user create form dont work in 1.27 version"

Login not work and not get the translation

5
87.11.244.162 (talkcontribs)

Hi i make a fresh installation with php 5.6, i cannot access on my wiki or register new user i get this error:

Fatal error: Class 'MediaWiki\Session\UnexpectedValueException' not found in /membri2/selven/includes/session/Session.php on line 426

here the wiki:

http://selven.altervista.org/index.php?title=Main_Page

it's installed on php 5.6

Anomie (talkcontribs)

The "class not found" error is because a patch was not backported to 1.27 before the release. It should be included in 1.27.1, for now you can manually apply this patch.

The error itself is presumably due to your php openssl or mcrypt extension lacking the appropriate mode for some reason; this too will be fixed by that patch.

Selven (talkcontribs)

this has worked and login now work, tomorrow i try the user registration, thankyou

31.7.157.196 (talkcontribs)

patch not found

31.7.157.196 (talkcontribs)
ok found sorry
Reply to "Login not work and not get the translation"

XCache was not initialized properly

2
176.182.100.164 (talkcontribs)

Hello. I made the update from Mediawiki 1.26 to 1.27 on a shared hosting (PHP 5.6.23), everything went well, but when going on the wiki, I got a new message regarding XCache that I didn't have previously :

"Warning: xcache_get(): XCache var cache was not initialized properly. Check php log for actual reason in [...]/includes/libs/objectcache/XCacheBagOStuff.php on line 32

Warning: xcache_set(): XCache var cache was not initialized properly. Check php log for actual reason in [...]/includes/libs/objectcache/XCacheBagOStuff.php on line 52"

In LocalSettings.php, I have :

$wgMainCacheType    = CACHE_NONE;

Thanks in advance for any answer.

176.182.100.164 (talkcontribs)

I've put the question on support desk, which is indeed more appropriate, sorry for the message, no problem if it's deleted

Kghbln (talkcontribs)

I would like to note that imho this edit is obfuscating the issue for a lot of wikis in a way. The rationale for my edit: I guess ConfirmAccount and Lockdown are installed on approximately 6000+ wikis and that is why I explicitly mentioned them. Wikis using either one of them on MW 1.27 are effectively broken at the moment. But yes, let's leave it like this since interested admins have now the chance to look at this post and peep at the issues I mentioned: ConfirmAccount (T137843) and Lockdown (T137051).

Reply to "Incompatible extensions"
91.32.195.110 (talkcontribs)

May 30 has passed, is there a rough ETA for it? Just trying to plan my weekend ;)

Kghbln (talkcontribs)

I am afraid planning is pretty difficult these days. Indeed this used to be different in the past. I expect an ad-hoc release at whatever day in the near future. Afaik we did not even have a rc yet ...

91.32.195.110 (talkcontribs)

Isn't there a way to check what outstanding issues are? Just out of curiosity, where does this difficulty in planning come from?

Kghbln (talkcontribs)
91.32.195.110 (talkcontribs)

alright thanks. according to mailing list, an RC is now out and 1.27 might actually land sometime this month

Kghbln (talkcontribs)

There is usually a time span of one or two weeks between the rc and the actual release if I remember correctly

87.123.57.51 (talkcontribs)

In the meantime, a second RC has been released and the scheduled date for the final version now is June 28th.

There are no older topics